import { defineComponent as i, toRefs as r, openBlock as a, createElementBlock as u, createElementVNode as t, createVNode as e, unref as o } from "vue";
import n from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const l = { class: "duty_pope" }, p = { class: "duty_itme" }, m = { class: "duty_photo" }, g = { class: "duty_num" }, h = { class: "duty_name" }, y = i({ name: "EComponent05" }), k = /* @__PURE__ */ i({
  ...y,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(c) {
    const s = c, { valueConfig: _, imageConfig: d, unitConfig: f, titleConfig: C } = r(s.chartConfig.option);
    return (v, x) => (a(), u("div", l, [
      t("div", p, [
        t("div", m, [
          e(n, {
            config: o(d),
            type: "img"
          }, null, 8, ["config"])
        ]),
        t("div", g, [
          e(n, {
            config: o(_),
            type: "number"
          }, null, 8, ["config"])
        ]),
        t("div", h, [
          e(n, {
            config: o(f),
            type: "text"
          }, null, 8, ["config"])
        ])
      ])
    ]));
  }
});
export {
  k as default
};
